example_checkout_transaction_event
curl --request POST \
--url https://api.dintero.com/v1/examples/checkout_transaction \
--header 'content-type: <content-type>' \
--header 'event: <event>' \
--header 'event-delivery: <event-delivery>' \
--data '
{
"account_id": "P12345678",
"event": "checkout_transaction",
"event_delivery": "9ebb6d41-dca5-484e-8330-9c9fa96b60ba",
"transaction": {
"id": "P12345678.465UfBENeLpkBvwmqfTC4k",
"session_id": "P12345678.465U8CUzaPVpneu1wt8Wei",
"merchant_reference": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"merchant_reference_2": "<string>"
}
}
'import requests
url = "https://api.dintero.com/v1/examples/checkout_transaction"
payload = {
"account_id": "P12345678",
"event": "checkout_transaction",
"event_delivery": "9ebb6d41-dca5-484e-8330-9c9fa96b60ba",
"transaction": {
"id": "P12345678.465UfBENeLpkBvwmqfTC4k",
"session_id": "P12345678.465U8CUzaPVpneu1wt8Wei",
"merchant_reference": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"merchant_reference_2": "<string>"
}
}
headers = {
"event": "<event>",
"event-delivery": "<event-delivery>",
"content-type": "<content-type>"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
event: '<event>',
'event-delivery': '<event-delivery>',
'content-type': '<content-type>'
},
body: JSON.stringify({
account_id: 'P12345678',
event: 'checkout_transaction',
event_delivery: '9ebb6d41-dca5-484e-8330-9c9fa96b60ba',
transaction: {
id: 'P12345678.465UfBENeLpkBvwmqfTC4k',
session_id: 'P12345678.465U8CUzaPVpneu1wt8Wei',
merchant_reference: '<string>',
created_at: '2023-11-07T05:31:56Z',
updated_at: '2023-11-07T05:31:56Z',
merchant_reference_2: '<string>'
}
})
};
fetch('https://api.dintero.com/v1/examples/checkout_transaction', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.dintero.com/v1/examples/checkout_transaction"
payload := strings.NewReader("{\n \"account_id\": \"P12345678\",\n \"event\": \"checkout_transaction\",\n \"event_delivery\": \"9ebb6d41-dca5-484e-8330-9c9fa96b60ba\",\n \"transaction\": {\n \"id\": \"P12345678.465UfBENeLpkBvwmqfTC4k\",\n \"session_id\": \"P12345678.465U8CUzaPVpneu1wt8Wei\",\n \"merchant_reference\": \"<string>\",\n \"created_at\": \"2023-11-07T05:31:56Z\",\n \"updated_at\": \"2023-11-07T05:31:56Z\",\n \"merchant_reference_2\": \"<string>\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("event", "<event>")
req.Header.Add("event-delivery", "<event-delivery>")
req.Header.Add("content-type", "<content-type>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.dintero.com/v1/examples/checkout_transaction")
.header("event", "<event>")
.header("event-delivery", "<event-delivery>")
.header("content-type", "<content-type>")
.body("{\n \"account_id\": \"P12345678\",\n \"event\": \"checkout_transaction\",\n \"event_delivery\": \"9ebb6d41-dca5-484e-8330-9c9fa96b60ba\",\n \"transaction\": {\n \"id\": \"P12345678.465UfBENeLpkBvwmqfTC4k\",\n \"session_id\": \"P12345678.465U8CUzaPVpneu1wt8Wei\",\n \"merchant_reference\": \"<string>\",\n \"created_at\": \"2023-11-07T05:31:56Z\",\n \"updated_at\": \"2023-11-07T05:31:56Z\",\n \"merchant_reference_2\": \"<string>\"\n }\n}")
.asString();Example Webhook Events
checkout_transaction
Event is pushed to subscribers when the checkout transaction is created or updated
POST
https://api.dintero.com/v1
/
examples
/
checkout_transaction
example_checkout_transaction_event
curl --request POST \
--url https://api.dintero.com/v1/examples/checkout_transaction \
--header 'content-type: <content-type>' \
--header 'event: <event>' \
--header 'event-delivery: <event-delivery>' \
--data '
{
"account_id": "P12345678",
"event": "checkout_transaction",
"event_delivery": "9ebb6d41-dca5-484e-8330-9c9fa96b60ba",
"transaction": {
"id": "P12345678.465UfBENeLpkBvwmqfTC4k",
"session_id": "P12345678.465U8CUzaPVpneu1wt8Wei",
"merchant_reference": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"merchant_reference_2": "<string>"
}
}
'import requests
url = "https://api.dintero.com/v1/examples/checkout_transaction"
payload = {
"account_id": "P12345678",
"event": "checkout_transaction",
"event_delivery": "9ebb6d41-dca5-484e-8330-9c9fa96b60ba",
"transaction": {
"id": "P12345678.465UfBENeLpkBvwmqfTC4k",
"session_id": "P12345678.465U8CUzaPVpneu1wt8Wei",
"merchant_reference": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"merchant_reference_2": "<string>"
}
}
headers = {
"event": "<event>",
"event-delivery": "<event-delivery>",
"content-type": "<content-type>"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
event: '<event>',
'event-delivery': '<event-delivery>',
'content-type': '<content-type>'
},
body: JSON.stringify({
account_id: 'P12345678',
event: 'checkout_transaction',
event_delivery: '9ebb6d41-dca5-484e-8330-9c9fa96b60ba',
transaction: {
id: 'P12345678.465UfBENeLpkBvwmqfTC4k',
session_id: 'P12345678.465U8CUzaPVpneu1wt8Wei',
merchant_reference: '<string>',
created_at: '2023-11-07T05:31:56Z',
updated_at: '2023-11-07T05:31:56Z',
merchant_reference_2: '<string>'
}
})
};
fetch('https://api.dintero.com/v1/examples/checkout_transaction', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.dintero.com/v1/examples/checkout_transaction"
payload := strings.NewReader("{\n \"account_id\": \"P12345678\",\n \"event\": \"checkout_transaction\",\n \"event_delivery\": \"9ebb6d41-dca5-484e-8330-9c9fa96b60ba\",\n \"transaction\": {\n \"id\": \"P12345678.465UfBENeLpkBvwmqfTC4k\",\n \"session_id\": \"P12345678.465U8CUzaPVpneu1wt8Wei\",\n \"merchant_reference\": \"<string>\",\n \"created_at\": \"2023-11-07T05:31:56Z\",\n \"updated_at\": \"2023-11-07T05:31:56Z\",\n \"merchant_reference_2\": \"<string>\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("event", "<event>")
req.Header.Add("event-delivery", "<event-delivery>")
req.Header.Add("content-type", "<content-type>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.dintero.com/v1/examples/checkout_transaction")
.header("event", "<event>")
.header("event-delivery", "<event-delivery>")
.header("content-type", "<content-type>")
.body("{\n \"account_id\": \"P12345678\",\n \"event\": \"checkout_transaction\",\n \"event_delivery\": \"9ebb6d41-dca5-484e-8330-9c9fa96b60ba\",\n \"transaction\": {\n \"id\": \"P12345678.465UfBENeLpkBvwmqfTC4k\",\n \"session_id\": \"P12345678.465U8CUzaPVpneu1wt8Wei\",\n \"merchant_reference\": \"<string>\",\n \"created_at\": \"2023-11-07T05:31:56Z\",\n \"updated_at\": \"2023-11-07T05:31:56Z\",\n \"merchant_reference_2\": \"<string>\"\n }\n}")
.asString();Headers
Body
application/json
Example:
"P12345678"
Available options:
checkout_transaction Example:
"checkout_transaction"
Example:
"9ebb6d41-dca5-484e-8330-9c9fa96b60ba"
The transaction details, see Checkout API /api-reference/transactions/transactions_id_get for complete description of all properties that can be included in the transaction object
Show child attributes
Show child attributes
Response
event handled
Last modified on July 7, 2026
⌘I